Subject: Re: Permission denied on a windows share
From: Jehan <[email-masked]>
To: [email-masked]
Date: Mon, 15 Jul 2002 08:54:04 -0700
Newsgroups: gmane.os.cygwin

Jehan wrote:
> Corinna Vinschen wrote:
> 
>>> Why would cygwin need to do more security checking than Windows does? 
>>> Why would cygwin deny me write access to a file when I can do it with 
>>> any other Windows application?
>>
>> It shouldn't.  If the situation is *actually* as you describe it,
>> then there's a bug in Cygwin.  However, this requires some debugging
>> in the environment in which this happens... yours.  Perhaps an strace
>> of the failing call helps.
> 
> Cool. Thanks.
> Here is the strace from a command "cp /tmp/install.sh .", with tmp being 
> on my local drive and "." being "//server/jehan".

By the way, if it's of any help, the resulting file is:
-rwxr--r--    1 jehan    jehan           0 Jul 15 08:23 install.sh

Where the user jehan is the domain user 
(S-1-5-21-3623677106-2853146667-3172526154-2002). The group jehan, I 
added it myself to /etc/group because I can't get domain groups with 
"mkgroup -d" (samba (our PDC) doesn't support domain groups AFIAK) (in 
/etc/group: jehan:2007:2007:)
And I'm logged as the local user jehan 
(S-1-5-21-2052111302-1580818891-725345543-1003).

	Jehan

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/